Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Class KeyStore

    java.lang.Object
      |
      +--com.bea.b2b.management.KeyStore

public final class KeyStore
extends java.lang.Object

The KeyStore implementation for accessing WLI key store

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`static KeyStore` | `getInstance()`
`void` | `insertCertificate(java.lang.String alias, java.lang.String certFile)` Insert a certificate into keystore.
`void` | `insertCertificateAndKey(java.lang.String alias, java.lang.String certFile, java.lang.String keyFile, java.lang.String password)` Insert a certificate and private key into keystore.
`void` | `removeEntry(java.lang.String alias)` Remove a keystore entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static KeyStore getInstance()

### insertCertificate

    public void insertCertificate(java.lang.String alias,
                                  java.lang.String certFile)
                           throws java.lang.Exception

  Insert a certificate into keystore.

  Parameters:
    `alias` - The key store alias for this certificate entry
    `certFile` - the file containing the digital certificate

### insertCertificateAndKey

    public void insertCertificateAndKey(java.lang.String alias,
                                        java.lang.String certFile,
                                        java.lang.String keyFile,
                                        java.lang.String password)
                                 throws java.lang.Exception

  Insert a certificate and private key into keystore.

  Parameters:
    `alias` - The key store alias for this certificate entry
    `certFile` - the file containing the digital certificate
    `keyFile` - the file containing the private key
    `password` - the password for reading the private key

### removeEntry

    public void removeEntry(java.lang.String alias)

  Remove a keystore entry.

  Parameters:
    `alias` - KeyStore alias to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)